Rapid7 Vulnerability & Exploit Database

SUSE Linux Security Vulnerability: CVE-2004-2655

Back to Search

SUSE Linux Security Vulnerability: CVE-2004-2655

Severity
5
CVSS
(AV:N/AC:H/Au:N/C:C/I:N/A:N)
Published
12/31/2004
Created
07/25/2018
Added
02/17/2015
Modified
07/04/2017

Description

rdesktop 1.3.1 with xscreensaver 4.14, and possibly other versions, when running on Fedora and possibly other platforms, does not release the keyboard focus when xscreensaver starts, which causes the password to be entered into the active window when the user unlocks the screen.

Solution(s)

  • suse-upgrade-xscreensaver

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;